#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <set>
#include <map>
#include <string>
#include <bitset>
#include <unordered_map>
#include <iomanip>

using namespace std;

#define ll long long
#define all(a) a.begin(),a.end()
#define db double

template<typename T>
istream& operator >> (istream& cin, vector<T>& v){
	for(auto& i:v)
		cin >> i;
	return cin;
}

template<typename T>
ostream& operator << (ostream& cout, vector<T>& v){
	for(auto& i:v)
		cout << i << ' ';
	return cout;
}
const int INF = 1e9;
const db eps = 1e-6;

int main(){
	db delta, M;
	cin >> delta >> M;
	int n;
	cin >> n;
	vector<db> gr(n);
	cin >> gr;

	db mnR = INF;
	int n1 = -1,n2 = -1;
	for(int i = 0;i<n;i++){
		for(int j = 0;j<n;j++){
			if(i == j)
				continue;
			db f1s1 = M;
			db f2s1 = delta * (gr[i] + gr[j]);
			db f1s2 = M * delta;
			db f2s2 = gr[i]+gr[j];

			db razn1 = abs(f1s1-f2s1);
			db razn2 = abs(f1s2-f2s2);

			db razn = razn1;
			if(razn - razn2 > eps)
				razn = razn2;

			if(mnR - razn > eps){
				mnR = razn;
				n1 = min(i,j);
				n2 = max(j,i);
			}
			else if(mnR - razn < eps && razn - mnR < eps){
				int cn1 = min(i,j);
				int cn2 = max(i,j);
				if(cn1 < n1){
					n1 = cn1;
					n2 = cn2;
				}
				else if(cn1 == n1 && cn1+cn2 < n1 + n2){
					n1 = cn1;
					n2 = cn2;
				}
			}
		}
	}

	cout << n1 + 1 << ' ' << n2 + 1;
	//system("pause");
}