#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <set>
#include <map>
#include <string>
#include <bitset>
#include <unordered_map>
#include <iomanip>

using namespace std;

#define ll long long
#define all(a) a.begin(),a.end()

template<typename T>
istream& operator >> (istream& cin, vector<T>& v){
	for(auto& i:v)
		cin >> i;
	return cin;
}

template<typename T>
ostream& operator << (ostream& cout, vector<T>& v){
	for(auto& i:v)
		cout << i << ' ';
	return cout;
}

const int INF = 1e9;
int main(){
	int h,m,n,k;
	cin >> h >> m >> n >> k;
	int read = 0;
	int cur = 8*60*60;
	int wake = h*60*60 + m*60;
	int send = 0;
	int nxt_send = cur+30;
	int end_read = INF;

	for(int i = cur;i<=86400;i++){
		if(i == nxt_send){
		send++;
		nxt_send = i+30;
		}

		if(i >= wake && end_read == INF && send){
			end_read = i+n;
		}

		if(i >= end_read && send){
		read++;
		send--;
		if(send)
			end_read = i + n;
		else 
			end_read = INF;
		if(read == k){
			int ost = 0;
			int h = i / 3600;
			ost = i % 3600;
			int m = ost / 60;
			int s = ost%60;
			cout << h << ' ' << m << ' ' << s;
			break;
		}
		}
	}

	//system("pause");
}