#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <set>
#include <map>
#include <string>
#include <bitset>
#include <unordered_map>
#include <iomanip>

using namespace std;

#define ll long long
#define all(a) a.begin(),a.end()
#define db double

template<typename T>
istream& operator >> (istream& cin, vector<T>& v){
	for(auto& i:v)
		cin >> i;
	return cin;
}

template<typename T>
ostream& operator << (ostream& cout, vector<T>& v){
	for(auto& i:v)
		cout << i << ' ';
	return cout;
}

const int INF = 1e9;

db eps = 1e-6;

int main(){
	int n;
	cin >> n;
	vector <db> v(n);
	cin >> v;
	db sr = 0;
	int cnt = 0;
	for(int i = 0;i<n;i++){
		if(v[i] < 100.0){
			sr += v[i];
			cnt++;
		}
	}

	sr/=cnt;

	int ans = 0;
	for(int i = 1;i<n;i++){
		db a1 = abs(v[i] - sr);
		db a2 = abs(v[ans] - sr);
		if(a2 - a1 > eps)
			ans = i;
	}
	
	cout << ans + 1;
	//system("pause");
}